var idioma=$.rup.lang;
var modo;
var municipioActual=null;
var municipioActualDesc=null;
jQuery(function($){
	
	//Combo multiselección Servicios para posterior búsqueda
	$("#cserv20_filter_table").rup_combo(
	{
		source: "../aa21b15s01/comboServiciosResponsables",
		sourceParam : {
			label : idioma == 'es' ? "DServ13"
					: "EServ13",
			value : "CServ13"
		},
		width : 400,
		showValue: true,
		token: " - ",
//		multiselect : true,
//		multiOptgroupIconText : true,
//		submitAsString : true,
		selected:$("#servicioLogueado").val(),
		disabled:true//,
//		rebelde:false
	});
	//$("#cserv20_filter_table").rup_combo("setRupValue",[$("#servicioLogueado").val()]);
	//Combo multiselección Servicios para posterior búsqueda
	$("#cexpe20_filter_table").rup_combo(
	{
	//	parent : [ "cserv20_filter_table" ],
		source: "../aa21bConsultas/comboTiposExpedienteConsultas?cserv20="+$("#servicioLogueado").val(),
		sourceParam : {
			label : idioma == 'es' ? "dtipoe02"
					: "etipoe02",
			value : "ctipoe02"
		},
		width : 700,
		showValue: true,
		token: " - ",
		method : 'GET',
		multiselect : true,
		multiOptgroupIconText : true,
		submitAsString : true,
		filterMultiple:true,
		rebelde:false,
		readAsString:true
	});
	
	//Combo multiselección Servicios para posterior búsqueda
	$("#crespo20_filter_table").rup_combo(
	{
		//parent : [ "cserv20_filter_table" ],
		source: "../aa21b15s01/tUsuCombo?cserv20="+$("#servicioLogueado").val(),
		sourceParam : {
			label : "dusu15",
			value : "cusu15"
		},
		width : 400,
		//showValue: true,
		//token: " - ",
		multiselect : true,
		multiOptgroupIconText : true,
		submitAsString : true,
		filterMultiple:true,
		method : 'GET'//,
		//rebelde:false
	});
	
	
	$("#cserv20_filter_table").on("change",function(event) {
		setTimeout(function() {
			
			var numSeleccionados = $("#cserv20_filter_table").rup_combo("value").length;
			if (numSeleccionados != 0) {
				$("#cexpe20_filter_table").rup_combo("enable");
				$("#cexpe20_filter_table").rup_combo("reload");
				$("#crespo20_filter_table").rup_combo("enable");
			//	$("#crespo20_filter_table").rup_combo("reload");
			} else {
				$("#cexpe20_filter_table").rup_combo("clear");
				$("#cexpe20_filter_table").rup_combo("disable");
				//$("#crespo20_filter_table").rup_combo("clear");
				$("#crespo20_filter_table").rup_combo("disable");
			}
				
		},200);
		
	});
	$("#ConsultasExpedientes_filter_filterButton2").on("click",function(event) {
		$("#ConsultasExpedientes_filter_filterButton").click();
	});
	
	$("#ConsultasExpedientes_filter_cleanLink2").on("click",function(event) {
		$("#ConsultasExpedientes_filter_cleanLink").click();
	});
	
	
	
	
	
	
	$.rup_date({		
		from: "faper20_desde_filter_table",
		to: "faper20_hasta_filter_table",
		//Resto igual que en date
		labelMaskId : "intervalo-mask",
		numberOfMonths: 2
	});
	
	
	$.rup_date({		
		from: "fcier20_desde_filter_table",
		to: "fcier20_hasta_filter_table",
		//Resto igual que en date
		labelMaskId : "intervalo-mask",
		numberOfMonths: 2
	});
	
	
	
	$.rup_date({		
		from: "fvto20_desde_filter_table",
		to: "fvto20_hasta_filter_table",
		//Resto igual que en date
		labelMaskId : "intervalo-mask",
		numberOfMonths: 2
	});
	
	
	
	
	//Combo multiselección Servicios para posterior búsqueda
	$("#carchi20_filter_table").rup_combo(
	{
		source: "../aa21bConsultas/comboArchivo",
		sourceParam : {
			label : idioma == 'es' ? "darchi14"
					: "earchi14",
			value : "carchi14"
		},
		width : 300,
		showValue: true,
		token: " - ",
		multiselect : true,
		multiOptgroupIconText : true,
		submitAsString : true,
		filterMultiple:true,
		method : 'GET'
	});
	
	//Combo multiselección Servicios para posterior búsqueda
	$("#cesta20_filter_table").rup_combo(
	{
		source: "../aa21bConsultas/comboEstados",
		sourceParam : {
			label : idioma == 'es' ? "desta07"
					: "eesta07",
			value : "cesta07"
		},
		width : 225,
		showValue: true,
		token: " - ",
		multiselect : true,
		multiOptgroupIconText : true,
		submitAsString : true,
		filterMultiple:true,
		method : 'GET'
	});

	
	//Combo departamentos expedientes
	$("#depar20_filter_table").rup_combo(
	{
		loadFromSelect:true,
		width : "660",
		blank: "",
		selected:""
	});
	
	//Combo paises 
	$("#cpais20_filter_table").rup_combo(
	{
		loadFromSelect:true,
		width : "160",
		blank: "",
		selected:"",
		change:function(){
			if($("#cpais20_filter_table").rup_combo("getRupValue") == 108){
				$("#divProvinciaFilter").show();
				$("#divMunicipioFilter").show();
			}else{
				$("#divProvinciaFilter").hide();
				$("#cprov20_filter_table").val("");
				$("#divMunicipioFilter").hide();
				//$("#cmuni20_filter_table").val("");
				$("#cmuni20_buscable").val("");
			}
		}
	});
	
	//Combo provincias 
	$("#cprov20_filter_table").rup_combo(
	{
		loadFromSelect:true,
		width : "160",
		blank: "",
		selected:""
	});
	
	//Angel 21/05/2019 - Cambiar combo Municipios por autocomplete
	/*
	$("#cmuni20_filter_table").rup_combo({
		source : "../nora/municipioExp",
		sourceParam : {label:"dsO", value:"id"},
		parent: ["cprov20_filter_table"],
		width : "350",
		blank : ""
	});
	*/
	
	$("#cmuni20_buscable").rup_autocomplete({
		source : "../nora/municipioExpAutocomplete",
		sourceParam : {label:"dsO", value:"id"},
		extraParams: {
			cprov20: function() {return jQuery("#cprov20_filter_table").val();}
	     },
		method : 'GET',
		width: "100",
		getText:false,
		minLength : "3",
		change : function() {
			
		}
	});
	
	
	//Combo tramitable en pantalla búsqueda
	$("#ctrami20_filter_table").rup_combo({
		source:[
		        {i18nCaption:$.rup.i18n.app.situ_detail_table.todas, value:""},
		        {i18nCaption:$.rup.i18n.app.comun.si, value:"1"},
		        {i18nCaption:$.rup.i18n.app.comun.no, value:"2"}
		],
		sourceParam:{},
		ordered: false,
		method: 'GET',
		style: "dropdown",
		onLoadSuccess: function(){
			$("#ctrami20_filter_table").rup_combo("selectLabel", $("ctrami20_filter_table").val());
		},
		change:function(){//control de visualización de divTareasPendientes
			var valor=$("#ctrami20_filter_table").rup_combo("getRupValue");
			if(valor==1){
				$("#divTareasPendientes").show();
				$("#conTareas").prop("checked",false);
			}
			else{
				$("#divTareasPendientes").hide();
				$("#conTareas").prop("checked",false);
			}
		}
	});
	
	
	
	$("#ConsultasExpedientes").rup_table({
		rowNum:20,
		url: "../aa21bConsultas",
		colNames: [
		    "",
		    "id",
			"cserv20",
			$.rup.i18n.app.aa21b20s01.cexpe20,
			$.rup.i18n.app.aa21b20s01.cexpe20,
			"aexpe20",
			"nexpe20",
			$.rup.i18n.app.aa21b20s01.objeto20,
			$.rup.i18n.app.aa21b20s01.faper20,
			$.rup.i18n.app.aa21b20s01.fcier20,
			"refer20",
			"crespo20",
			"cpais20",
			"cprov20",
			"cmuni20",
			"obser20",
			"moneda20",
			"eimpor20",
			"pimpor20",
			"eimpora20",
			"pimpora20",
			"cdepar20",
			"carchi20",
			"ubica20",
			$.rup.i18n.app.aa21b20s01.cesta20,
			$.rup.i18n.app.aa21b20s01.cesta20,
			"fvto20",
			"caducadas"
		],
		colModel: [
		    {
		    	name: "activo",
		    	index: "activo",
		    	width: "30",
		    	formatter: "actions",
		    	align: "center",
		    	sortable: false,
		    	classes : "ui-ellipsis"
		    },       
		    { 	
		    	name: "idExpe", 
 				label: "idExpe",
				hidden: true 
			},       
			{ 	name: "cserv20", 
			 	label: "cserv20",
				hidden: true 
			},
			{ 	name: "refExp", 
			 	label: "refExp",
				align: "left", 
				width: 150, 
				editable: true, 
				fixed: false, 
				hidden: false, 
				resizable: true, 
				sortable: true,
				
				formatter :
                    avisoformater = function (cellvalue, options, rowObject)
                    {
						var salida=cellvalue;
						if(rowObject.caducadas>0)
							salida=salida+" <img src='../../organizaciondocumental/aa21b/images/attention.png' title='"+$.rup.i18n.app.aa21b20s01.tareaSin+"'/>";
						return salida;
                    }
			},
			{ 	name: "cexpe20", 
			 	label: $.rup.i18n.app.aa21b20s01.cexpe20,
				hidden: true 
			},
			{ 	name: "aexpe20", 
			 	label: "aexpe20",
				hidden: true 
			},
			{ 	name: "nexpe20", 
			 	label: "nexpe20",
				hidden: true 
			},
			{ 	name: "objeto20", 
			 	label: $.rup.i18n.app.aa21b20s01.objeto20,
				align: "left", 
				width: 225, 
				editable: true, 
				fixed: false, 
				hidden: false, 
				resizable: true, 
				sortable: true
			},
			{ 	name: "faper20", 
			 	label: $.rup.i18n.app.aa21b20s01.faper20,
				align: "left", 
				width: 100, 
				editable: true, 
				fixed: false, 
				hidden: false, 
				resizable: true, 
				sortable: true
			},
			
			{ 	name: "fcier20", 
			 	label: $.rup.i18n.app.aa21b20s01.fcier20,
				align: "left", 
				width: 100, 
				editable: true, 
				ruptype: "datepicker", 
				fixed: false, 
				hidden: false, 
				resizable: true, 
				sortable: true
			},
			{ 	name: "refer20", 
			 	label: "refer20",
				hidden: true 
			},
			{ 	name: "crespo20", 
			 	label: "crespo20",
				hidden: true 
			},
			{ 	name: "cpais20", 
			 	label: "cpais20",
				hidden: true 
			},
			{ 	name: "cprov20", 
			 	label: "cprov20",
				hidden: true 
			},
			{ 	name: "cmuni20", 
			 	label: "cmuni20",
				hidden: true 
			},
			{ 	name: "obser20", 
			 	label: "obser20",
				hidden: true 
			},
			{ 	name: "moneda20", 
			 	label: "moneda20",
				hidden: true 
			},
			{ 	name: "eimpor20", 
			 	label: "eimpor20",
				hidden: true 
			},
			{ 	name: "pimpor20", 
			 	label: "pimpor20",
				hidden: true 
			},
			{ 	name: "eimpora20", 
			 	label: "eimpora20",
				hidden: true 
			},
			{ 	name: "pimpora20", 
			 	label: "pimpora20",
				hidden: true 
			},
			{ 	name: "cdepar20", 
			 	label: "cdepar20",
			 	hidden: true 
			},
			{ 	name: "carchi20", 
			 	label: "carchi20",
				hidden: true 
			},
			{ 	name: "ubica20", 
			 	label: "ubica20",
				hidden: true 
			},
			{ 	name: "cesta20", 
			 	label: $.rup.i18n.app.aa21b20s01.cesta20,
				hidden: true 
			},
			{ 	
				name: idioma=="es"?"desta":"eesta", 
			 	label: idioma=="es"?"desta":"eesta", 
				align: "left", 
				width: 150, 
				editable: true, 
				fixed: false, 
				hidden: true, 
				resizable: true, 
				sortable: true
			},
			{ 	name: "fvto20", 
			 	label: "fvto20",
				hidden: true 
			},
			{ 	name: "caducadas", 
			 	label: "caducadas",
				hidden: true 
			}
        ],

        model:"Aa21b20s01",
        usePlugins:[
        	"feedback",
			"toolbar",
        	"fluid",
        	"filter"
         	],
		primaryKey: "idExpe",
		sortname: "cexpe20",
		sortorder: "asc",
		loadOnStartUp: false,
		loadComplete:fncTableCompleteConsultasExpedientes,
		toolbar:{
			newButtons:[{
				id:"detalle",
				obj: {id:"detalle",i18nCaption:$.rup.i18n.app.botonerasMantGenerales.detalle, css: "detalle"},
				ocultar:true,
				comportamiento:"edit",
				click:function(event, form, oper){
					handlerConsultaExpedienteDetalle();
				}
			},
			   /*         {
				id:"filtrar",
				obj: {id:"filtrar",i18nCaption:$.rup.i18n.app.botonerasMantGenerales.filtrar, css: "rup-icon rup-icon-filter"},
				comportamiento:"add",
				click: function(){
					$("#ConsultasExpedientes").rup_table("toggleFilterForm");
				}
			},*/
		    
		    {
		    	id:"excel",
		    	obj: {id:"excel",i18nCaption:$.rup.i18n.app.botonerasMantGenerales.excel, right: true,css: "excel"},
		    	comportamiento:"add",
		    	click: function(){
		    		handlerExcel('normal');
		    	}
		    },
		    {
				id:"imprimir",
				obj: {id:"imprimir",i18nCaption:$.rup.i18n.app.botonerasMantGenerales.imprimir, right: true,css: "rup-icon rup-icon-print"},
				comportamiento:"add",
				click: function(){
					handlerImprimir('normal');
				}
		    },
		    {
		    	id:"excelTramitacion",
		    	obj: {id:"excelTramitacion",i18nCaption:$.rup.i18n.app.botonerasMantGenerales.excelTram, right: true,css: "excel"},
		    	comportamiento:"add",
		    	click: function(){
		    		handlerExcel('tramitacion');
		    	}
		    },
		    {
		    	id:"informeTramitacion",
		    	obj: {id:"informeTramitacion",i18nCaption:$.rup.i18n.app.botonerasMantGenerales.infTram,right: true, css: "rup-icon rup-icon-print"},
				comportamiento:"add",
				click: function(){
					handlerImprimir('tramitacion');
				}
		    }],
		    defaultButtons:[{}]
		},
		afterInsertRow : function(rowid, rowdata) {
			//Función que pinta en el registro Alta o Baja según sea A o B
			
			pintarFilaSituacionExpediente(rowid, rowdata, $(this), "cesta20");
		},
        onPaging: function(){
			$("#ConsultasExpedientes").rup_table("deselectAllRows");
		}
	});
	
	//Si no hay registros, ocultamos los botones de imprimir y de Excel
	$("[id='ConsultasExpedientes_toolbar##imprimir']").hide();
	$("[id='ConsultasExpedientes_toolbar##excel']").hide();
	$("[id='ConsultasExpedientes_toolbar##excelTramitacion']").hide();
	$("[id='ConsultasExpedientes_toolbar##informeTramitacion']").hide();
	
	
	/**
	 * Función al hacer doble click en la tabla asociados
	 * muestra un dialog con los datos del expediente en modo Consulta
	 */
	$("#ConsultasExpedientes").on("jqGridDblClickRow", function(event, form, oper) {
//		var posLinea = $("#ConsultasExpedientes").rup_table("getSelectedLines");
//		var refExp = $("#ConsultasExpedientes").rup_table("getRowData")[posLinea].refExp;
//		var idExpAsoc = $("#ConsultasExpedientes").rup_table("getRowData")[posLinea].idExpe;
		handlerConsultaExpedienteDetalle();
		return false;
	});
	
	$("#ConsultasExpedientes_filter_filterButton").click(function(){
		if($("#ConsultasExpedientes_filter_fieldset").css("display") == "block"){
			$("#ConsultasExpedientes").rup_table("toggleFilterForm");
		}	
	});
	
	$("#ConsultasExpedientes").rup_table("toggleFilterForm");
	
	
	$("#ConsultasExpedientes_filter_cleanLink").unbind("click");
	$("#ConsultasExpedientes_filter_cleanLink").click(limpiar);
	$("#divTareasPendientes").hide();
	$("#conTareas").prop("checked",false);
	dialogoDetalleExpediente.nombreRupTable="#ConsultasExpedientes";
	dialogoDetalleExpediente.ocultarElementos();
	dialogoEspedientesAsociados.ocultarElementos();	
	dialogoFase.ocultarElementos();
	dialogoHistorico.ocultarElementos();
	dialogoDocumentos.ocultarElementos();
	dialogoConsultaEspedientesAsociados.ocultarElementos();
});

function handlerImprimir(tipoInforme){
	if($("#ConsultasExpedientes").rup_table("getDataIDs").length > 0){
		$('#icserv20').val($('#cserv20_filter_table').val());
		$('#icexpe20').val($('#cexpe20_filter_table').val());
		$('#icrespo20').val($('#crespo20_filter_table').val());
		$('#iarchi20').val($('#archi20_filter_table').val());
		$('#iesta20').val($('#cesta20_filter_table').val());
		$('#iaexpe20').val($('#aexpe20_filter_table').val());
		$('#inexpe20').val($('#nexpe20_filter_table').val());
		$('#iubica20').val($('#ubica20_filter_table').val());
		$('#ictrami20').val($('#ctrami20_filter_table').val());
		$('#idepar20').val($('#depar20_filter_table').val());
		$('#iobjeto20').val($('#objeto20_filter_table').val());
		$('#iobser20').val($('#obser20_filter_table').val());
		$('#icpais20').val($('#cpais20_filter_table').val());
		$('#icprov20').val($('#cprov20_filter_table').val());
		//$('#icmuni20').val($('#cmuni20_filter_table').val());
		$('#icmuni20').val($('#cmuni20_buscable').val());
		
		$('#ifvto20desde').val($('#fvto20_desde_filter_table').val());
		$('#ifvto20hasta').val($('#fvto20_hasta_filter_table').val());
		$('#ifaper20desde').val($('#faper20_desde_filter_table').val());
		$('#ifaper20hasta').val($('#faper20_hasta_filter_table').val());
		$('#ifcier20desde').val($('#fcier20_desde_filter_table').val());
		$('#ifcier20hasta').val($('#fcier20_hasta_filter_table').val());
		$('#irefExp').val($('#refExp_filter_table').val());
		$('#irefer20').val($('#refer20_filter_table').val());
		if($('#conTareas').prop("checked"))
			$('#conTareas2').val("on");
		else 
			$('#conTareas2').val("");
		$('#tipoListadoExpediente').val(tipoInforme);
		//if(tipoInforme=='normal')
		//$("#frmImprimirListado").attr("action","../imprimirMantGenerales/imprimirListadosExpedientes");
		//else
			$("#frmImprimirListado").attr("action","../imprimirMantGenerales/imprimirListadosExpedientes2");
		$("#frmImprimirListado").attr("target","_blank");
		$('#idExpePrint').val(null);
		var form = document.forms["frmImprimirListado"];
		form.submit();
	}else{
		$.rup_messages("msgAlert", {message: $.rup.i18n.app.mensajesMantGenerales.noRegistros});
	}
}

function handlerExcel(tipoInforme){
	if($("#ConsultasExpedientes").rup_table("getDataIDs").length > 0){
		$('#icserv20').val($('#cserv20_filter_table').val());
		$('#icexpe20').val($('#cexpe20_filter_table').val());
		$('#icrespo20').val($('#crespo20_filter_table').val());
		$('#iarchi20').val($('#archi20_filter_table').val());
		$('#iesta20').val($('#cesta20_filter_table').val());
		$('#iaexpe20').val($('#aexpe20_filter_table').val());
		$('#inexpe20').val($('#nexpe20_filter_table').val());
		$('#iubica20').val($('#ubica20_filter_table').val());
		$('#ictrami20').val($('#ctrami20_filter_table').val());
		$('#idepar20').val($('#depar20_filter_table').val());
		$('#iobjeto20').val($('#objeto20_filter_table').val());
		$('#iobser20').val($('#obser20_filter_table').val());
		$('#icpais20').val($('#cpais20_filter_table').val());
		$('#icprov20').val($('#cprov20_filter_table').val());
		//$('#icmuni20').val($('#cmuni20_filter_table').val());
		$('#icmuni20').val($('#cmuni20_buscable').val());
		
		$('#ifvto20desde').val($('#fvto20_desde_filter_table').val());
		$('#ifvto20hasta').val($('#fvto20_hasta_filter_table').val());
		$('#ifaper20desde').val($('#faper20_desde_filter_table').val());
		$('#ifaper20hasta').val($('#faper20_hasta_filter_table').val());
		$('#ifcier20desde').val($('#fcier20_desde_filter_table').val());
		$('#ifcier20hasta').val($('#fcier20_hasta_filter_table').val());
		$('#irefExp').val($('#refExp_filter_table').val());
		$('#irefer20').val($('#refer20_filter_table').val());
		
		if($('#conTareas').prop("checked"))
			$('#conTareas2').val("on");
		else 
			$('#conTareas2').val("");
		$('#tipoListadoExpediente').val(tipoInforme);
		
		$("#frmImprimirListado").attr("action","../aa21bConsultas/excelListadoExpedientes");
		
		$("#frmImprimirListado").attr("target","_blank");
	
		var form = document.forms["frmImprimirListado"];
		form.submit();
	}else{
		$.rup_messages("msgAlert", {message: $.rup.i18n.app.mensajesMantGenerales.noRegistros});
	}
}

function fncTableCompleteConsultasExpedientes(e){
	if (e.rows != undefined && e.rows.length>0){
		//Si hay registros, mostramos los botones de Imprimir y de Excel
		$("[id='ConsultasExpedientes_toolbar##imprimir']").show();
		$("[id='ConsultasExpedientes_toolbar##excel']").show();
		$("[id='ConsultasExpedientes_toolbar##excelTramitacion']").show();
		$("[id='ConsultasExpedientes_toolbar##informeTramitacion']").show();
	}else{
		//Si no hay registros, ocultamos los botones de imprimir y de Excel
		$("[id='ConsultasExpedientes_toolbar##imprimir']").hide();
		$("[id='ConsultasExpedientes_toolbar##excel']").hide();
		$("[id='ConsultasExpedientes_toolbar##excelTramitacion']").hide();
		$("[id='ConsultasExpedientes_toolbar##informeTramitacion']").hide();
	}
}


//visualizar icono documento en grid
//mostrar imagen en grid
$.fn.fmatter.actions = function(cellval, opts, rwd) {
	var str = '';
	//En el campo situación ponemos la imagen dependiendo de 
	//1º si el expediente esta cerrado
	//2º si el expediente esta cerrado no incluido
	//3º si el expediente esta de baja
	if (opts.colModel.name == 'activo') {
		var op = {
				keys : false,
				editbutton : false,
				delbutton : false,
				editformbutton : false,
				activoButton : true
		};
		if (!jQuery.fmatter.isUndefined(opts.colModel.formatoptions)) {
			op = jQuery.extend(op, opts.colModel.formatoptions);
		}
		var rowid = opts.rowId, str = "", ocl;
		if (typeof (rowid) == 'undefined' || jQuery.fmatter.isEmpty(rowid)) {
			return "";
		}
		if (op.activoButton) {
			var estado = rwd['cesta20'];
			
			if ( estado == 4){
				str = "<div><img src='"
					+ $.rup.APP_STATICS
					+ "/images/expBaja.png' width='15px' height='15px' alt='"
					+ $.rup.i18n.app.botonerasMantGenerales.nuevo
					+ "' title='"
					+ $.rup.i18n.app.botonerasMantGenerales.nuevo
					+ "'/></div>";
			}else if( estado == 2){
				str = "<div><img src='"
					+ $.rup.APP_STATICS
					+ "/images/expCerradoNoIncluido.png' width='15px' height='15px' alt='"
					+ $.rup.i18n.app.botonerasMantGenerales.nuevo
					+ "' title='"
					+ $.rup.i18n.app.botonerasMantGenerales.nuevo
					+ "'/></div>";
			}else if( estado == 1){
				str = "<div><img src='"
					+ $.rup.APP_STATICS
					+ "/images/expCerrado2.png' width='15px' height='15px' alt='"
					+ $.rup.i18n.app.botonerasMantGenerales.nuevo
					+ "' title='"
					+ $.rup.i18n.app.botonerasMantGenerales.nuevo
					+ "'/></div>";
			}
		}
	}
	
	return str;
};
/**
 * Función consulta expediente. Apertura del dialogo alta, modificar con
 * los campos deshabilitados. Pasando como parámetro el idExpe (concatenación PK)
 */
function handlerConsultaExpedienteDetalle(){
	if($("#ConsultasExpedientes").rup_table("getSelectedRows") != ""){
	if($("#ConsultasExpedientes").rup_table("getSelectedLines").length > 0){
		var posLinea = $("#ConsultasExpedientes").rup_table("getSelectedLines");
		var expediente = $("#ConsultasExpedientes").rup_table("getRowData")[posLinea];//.refExp;
	//	var idExpAsoc = $("#ConsultasExpedientes").rup_table("getRowData")[posLinea].idExpe;
		//handlerConsultaExpediente(form,refExp,idExpAsoc);
		modo="C";
		dialogoDetalleExpediente.abrirExpediente(expediente,"C");
	}else{
		$.rup_messages("msgAlert", {message: $.rup.i18n.app.mensajesMantGenerales.msjNoRegistro});
	}
	}else{
		$.rup_messages("msgAlert", {message: $.rup.i18n.app.mensajesMantGenerales.seleccionFila});
	}
	
}
function openHelp(){
	crearAyuda($.rup.i18n.app.ayudaConsultas,"ayuda_feedback");
}

function limpiar(){

	//$("#ConsultasExpedientes").rup_table("cleanFilterForm");
	//$("#ConsultasExpedientes").rup_maint("cleanSearchForm");
	//$("#ConsultasExpedientes").rup_table("clearGridData",true);
	//$("#ConsultasExpedientes").rup_table("resetForm", $("#ConsultasExpedientes_filter_form"));
	
	//Limpiamos los campos del filtro...
	$("#ConsultasExpedientes").rup_table("cleanFilterForm");
	//Limpiamos el grid...
	$("#ConsultasExpedientes").rup_table("clearGridData", false);
	
	$("#cserv20_filter_table").rup_combo("setRupValue",$("#servicioLogueado").val());
	$("#ConsultasExpedientes_filter_summary").html("<i></i>");
}
function btn_abrirBusquedaJerarqTiposExp(valor){
	dialogoJerarqTiposExp.abrirDialogo(valor);
}
